import { ResourceDefinition, UnthinkMiddleware } from '@epandco/unthink-foundation/lib/core';
import { RequestHandler } from 'express';
import { ExpressMiddleware } from './unthink-express-generator';
/**
 * This function wraps Express middleware to make it compatible UnthinkMiddleware.
 */
export declare function expressMiddleware(handler: RequestHandler): ExpressMiddleware;
/**
 * @deprecated This function has been deprecated since version 2 and will be removed in next major version.
 *             Please use the unthinkResource function as a replacement found in the unthink-foundation package.
 */
export declare function expressResource(resourceDefinition: ResourceDefinition<RequestHandler>): ResourceDefinition<UnthinkMiddleware>;
