/**
 * Lifted from https://github.com/jfromaniello/url-join/blob/master/lib/url-join.js
 *
 * Stripped out several things including:
 *  - handling of file protocol (file://)
 *  - handling of normal protocol (http(s):// etc)
 *  - trailing slashes before ? / # etc. We want these symbols for express routes potentially
 *  - Replacing ? with & again with regexes in express we may want these.
 *
 *  This leaves it really only handling combing two path fragments together which is what I want.
 */
export declare function urlPathJoin(strArray: string[]): string;
